Loading...
Searching...
No Matches
_PurpleWhiteboard Struct Reference

A PurpleWhiteboard. More...

`#include <whiteboard.h>`

## Data Fields

int | state
| State of whiteboard session.
PurpleAccount * | account
| Account associated with this session.
char * | who
| Name of the remote user.
void * | ui_data
| Graphical user-interface data.
void * | proto_data
| Protocol specific data.
PurpleWhiteboardPrplOps * | prpl_ops
| Protocol-plugin operations.
GList * | draw_list
| List of drawing elements/deltas to send.

## Detailed Description

A PurpleWhiteboard.

Definition at line 39 of file whiteboard.h.

## Field Documentation

## account

PurpleAccount* _PurpleWhiteboard::account

Account associated with this session.

Definition at line 43 of file whiteboard.h.

## draw_list

GList* _PurpleWhiteboard::draw_list

List of drawing elements/deltas to send.

Definition at line 50 of file whiteboard.h.

## proto_data

void* _PurpleWhiteboard::proto_data

Protocol specific data.

Definition at line 47 of file whiteboard.h.

## prpl_ops

PurpleWhiteboardPrplOps* _PurpleWhiteboard::prpl_ops

Protocol-plugin operations.

Definition at line 48 of file whiteboard.h.

## state

int _PurpleWhiteboard::state

State of whiteboard session.

Definition at line 41 of file whiteboard.h.

## ui_data

void* _PurpleWhiteboard::ui_data

Graphical user-interface data.

Definition at line 46 of file whiteboard.h.

## who

char* _PurpleWhiteboard::who

Name of the remote user.

Definition at line 44 of file whiteboard.h.

The documentation for this struct was generated from the following file:

- whiteboard.h